#version 150 core

in vec2 textureCoord;

uniform sampler2D textureAlbedo;
uniform bool drawAlpha;

void main() {
	float albedoAlpha = texture( textureAlbedo, textureCoord ).a;
	if ( ( drawAlpha && albedoAlpha == 0.0f ) || ( !drawAlpha && albedoAlpha < 1.0f ) ) {
		discard;
	}
}
